<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>录播节目单查询</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ mix('/css/app.css') }}" rel="stylesheet"/>
</head>
<body>
@include("common.header")
<form class="form" action="">
    <label for="keyword">查找节目单关键词，空格隔开查找多个关键词</label>
    <input class="border border-black" type="text" name="keyword" id="keyword" value="{{$keyword}}">
    <input class="border border-black" type="submit">
</form>
<table class="table-auto border-collapse w-full lg:border lg:border-black">
    <thead>
    <tr class="border border-black sticky bg-white lg:static top-0 left-0 right-0">
        <th class="border border-black">视频标题</th>
        <th class="border border-black">置顶评论</th>
        <th class="border border-black hidden lg:table-cell">本期课代表</th>
        <th class="border border-black hidden lg:table-cell">链接</th>
    </tr>
    </thead>
    <tbody>
    @foreach($comments as $comment)
        <tr>
            <td class="border text-center text-base lg:text-lg">
                <a class="text-blue-600 lg:text-current underline lg:no-underline break-all" href="/video/{{$comment->video->id}}">
                    {{$comment->video->title}}
                </a>
            </td>
            <td class="border leading-normal" style="white-space: pre-wrap;">{{$comment->content}}</td>
            <td class="border text-center hidden lg:table-cell">
                <a class="text-blue-600 underline" target="_blank" href="https://space.bilibili.com/{{$comment->mid}}">B站主页</a>
            </td>
            <td class="border text-center hidden lg:table-cell">
                <a class="text-blue-600 underline break-all" target="_blank" href="https://www.bilibili.com/video/{{$comment->video->bvid}}">
                    {{$comment->video->bvid}}
                </a>
            </td>
        </tr>
    @endforeach
    </tbody>
</table>
{{$comments->links()}}
@include("common.footer")
</body>
</html>
