<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>录播节目关联视频位置修改</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ mix('/css/app.css') }}" rel="stylesheet"/>
</head>
<body>
@include("common.header")
<form class="w-full lg:w-1/2 lg:ml-6 border-2" action="" method="post" enctype="multipart/form-data">
    <input type="hidden" name="id" value="{{$program_video->id}}">
    <label class="block my-2">
        BVID
        <input class="form-input border-0 border-b-2 w-full" @if($program_video->video_bvid) disabled @endif type="text" name="video_bvid" value="{{ old("video_bvid", $program_video->video_bvid) }}">
    </label>
    <label class="block my-2">
        开始P数
        <input class="form-input border-0 border-b-2 w-full" type="number" name="start_part" value="{{ old("start_part", $program_video->start_part) }}">
    </label>
    <label class="block my-2">
        开始时间
        <input class="form-input border-0 border-b-2 w-full" step="1" type="time" name="start_time" value="{{ old("start_time", $program_video->start_time) }}">
    </label>
    <label class="block my-2">
        开始图像
        @if($program_video->start_image)
            <img src="{{$program_video->start_image}}" alt="开始图片">
        @endif
        <input class="form-input border-0 border-b-2 w-full" type="file" name="start_image">
    </label>
    <label class="block my-2">
        节目开打时间
        <input class="form-input border-0 border-b-2 w-full" type="datetime-local" step="1" name="created_at" value="{{ old("created_at", $program_video->created_at) }}">
    </label>
    <label class="block my-2">
        结束P数
        <input class="form-input border-0 border-b-2 w-full" type="number" name="stop_part" value="{{ old("stop_part", $program_video->stop_part) }}">
    </label>
    <label class="block my-2">
        结束时间
        <input class="form-input border-0 border-b-2 w-full" step="1" type="time" name="stop_time" value="{{ old("stop_time", $program_video->stop_time) }}">
    </label>
    <label class="block my-2">
        结束图像
        @if($program_video->stop_image)
            <img src="{{$program_video->stop_image}}" alt="结束图片">
        @endif
        <input class="form-input border-0 border-b-2 w-full" type="file" name="stop_image">
    </label>
    @include("common.form_error")
    <div class="block my-2 text-center">
        <input class="px-6 py-2 inline-block rounded-full bg-cyan-600 text-white" type="submit">
    </div>
    @if($program_video->video_bvid)
    <div class="block my-2">
        <a class="px-6 py-2 inline-block rounded-full bg-cyan-600 text-white" target="_blank"
           href="https://www.bilibili.com/video/{{$program_video->video_bvid}}?p={{$program_video->start_part}}&t={{$program_video->start_sec}}"
           title="P{{$program_video->start_part}}#{{$program_video->start_time}}"
        >打开至开始位置</a>
        <a class="px-6 py-2 inline-block rounded-full bg-cyan-600 text-white" target="_blank"
           href="https://www.bilibili.com/video/{{$program_video->video_bvid}}?p={{$program_video->stop_part}}&t={{$program_video->stop_sec}}"
           title="P{{$program_video->stop_part}}#{{$program_video->stop_time}}"
        >打开至结束位置</a>
        <a class="px-6 py-2 inline-block rounded-full bg-cyan-600 text-white"
           href="{{ url(route("program.construct.video.batch_fix_created_at", ["program_video" => $program_video->id])) }}"
        >去批量修复开打时间</a>
    </div>
    @endif
</form>
@include("common.footer")
</body>
</html>
