const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel applications. By default, we are compiling the CSS
 | file for the application as well as bundling up all the JS files.
 |
 */

mix
    .js('resources/js/component/from_select.js', 'public/js/component')
    .js('resources/js/component/broadcast_select.js', 'public/js/component')
    .js('resources/js/app.js', 'public/js')
    .extract(['axios', 'lodash'])
    .js('resources/js/webauthn.js', 'public/js')
    .copy('resources/css/vendor', 'public/css/vendor')
    .postCss('resources/css/app.css', 'public/css', [
        require('tailwindcss')
    ])
    .disableNotifications();
if (mix.inProduction()) {
    mix.version();
} else {
    mix.sourceMaps()
}

